1
0
forked from pool/virtualbox
virtualbox/vbox-vboxdrv-init-script.diff
Larry Finger 7cee748054 - Version update to 5.2.14 (released July 02 2018 by Oracle)
This is a maintenance release. The following items were fixed and/or added:
User interface: fixed a segmentation fault when accessing the interface through VNC (bug #16348)
User interface: X11: handle repeating keys on the host system correctly (bug #1296, previously fixed, 5.1.0 regression)
VMM: Fixed emulation of the undocumented SALC instruction
VMM: Fixed emulation of so-called "huge unreal mode" (bug #17744); this in practice only affected Intel CPUs with VT-x without unrestricted execution.
Keyboard: The PS/2 keyboard emulation has been corrected to not queue partial scan code sequences (bug #17709); this problem was likely only visible on Linux hosts due to losing the fix for bug #1296
Storage: Fixed CUE file support to correct REM keyword parsing (bug #17783)
USB: Fixed a problem where the emulated xHCI device under very rare circumstances failed to report an empty isochronous transfer ring error, causing the transfers on the corresponding endpoint to stop.
Audio: fixed Linux kernel log flooding (bug #17759)
Apple hosts: make kernel driver load with Mac OS Mojave pre-release (bug #17805).
Linux guests: made vboxvideo driver build with kernel 4.17 (bug #17801) and with pre-3.14 and EL 7.1 kernels (bug #17771)
Removed "fixes_for_4.17.patch" - fixes merged upstream.

OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=437
2018-07-03 01:22:43 +00:00

86 lines
3.1 KiB
Diff

Index: VirtualBox-5.2.14/src/VBox/Installer/linux/vboxdrv.sh
===================================================================
--- VirtualBox-5.2.14.orig/src/VBox/Installer/linux/vboxdrv.sh
+++ VirtualBox-5.2.14/src/VBox/Installer/linux/vboxdrv.sh
@@ -19,11 +19,12 @@
#
### BEGIN INIT INFO
# Provides: vboxdrv
-# Required-Start: $syslog
-# Required-Stop:
-# Default-Start: 2 3 4 5
+# Required-Start: $syslog $remote_fs
+# Required-Stop: $syslog $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
-# Short-Description: VirtualBox Linux kernel module
+# Short-Description: VirtualBox Linux module
+# Description: VirtualBox Linux kernel module
### END INIT INFO
## @todo This file duplicates a lot of script with vboxadd.sh. When making
@@ -285,13 +286,6 @@ start()
fi
fi
# ensure permissions
- if ! chown :"${GROUP}" $DEVICE 2>/dev/null; then
- rmmod vboxpci 2>/dev/null
- rmmod vboxnetadp 2>/dev/null
- rmmod vboxnetflt 2>/dev/null
- rmmod vboxdrv 2>/dev/null
- failure "Cannot change group ${GROUP} for device $DEVICE"
- fi
if ! $MODPROBE vboxnetflt > /dev/null 2>&1; then
failure "modprobe vboxnetflt failed. Please use 'dmesg' to find out why"
fi
@@ -420,47 +414,8 @@ cleanup()
# setup_script
setup()
{
- begin_msg "Building VirtualBox kernel modules" console
- log "Building the main VirtualBox module."
- if ! myerr=`$BUILDINTMP \
- --save-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxdrv" \
- --no-print-directory install 2>&1`; then
- "${INSTALL_DIR}/check_module_dependencies.sh" || exit 1
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net filter module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetflt" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net adaptor module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetadp" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the PCI pass-through module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxpci" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- rm -f /etc/vbox/module_not_compiled
- depmod -a
- succ_msg "VirtualBox kernel modules built"
+# Try to build the host kernel modules in case prepackaging has failed
+ /sbin/vboxconfig
}
dmnstatus()